# Class DateType

Object
CodeList<DateType>
DateType

All Implemented Interfaces:
  `Serializable, Comparable<DateType>`

@UML(identifier="CI_DateTypeCode", specification=ISO_19115) public final class DateType extends CodeList<DateType>
Identification of when a given event occurred

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DateType`
  `CREATION`
  Date identifies when the resource was brought into existence.
  `static final DateType`
  `PUBLICATION`
  Date identifies when the resource was issued.
  `static final DateType`
  `REVISION`
  Date identifies when the resource was examined or re-examined and improved or amended.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DateType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static DateType`
  `valueOf(String code)`
  Returns the date type that matches the given string, or returns a new one if none match it.
  `static DateType[]`
  `values()`
  Returns the list of `DateType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATION

    @UML(identifier="creation", obligation=CONDITIONAL, specification=ISO_19115) public static final DateType CREATION
    Date identifies when the resource was brought into existence.

  - ### PUBLICATION

    @UML(identifier="publication", obligation=CONDITIONAL, specification=ISO_19115) public static final DateType PUBLICATION
    Date identifies when the resource was issued.

  - ### REVISION

    @UML(identifier="revision", obligation=CONDITIONAL, specification=ISO_19115) public static final DateType REVISION
    Date identifies when the resource was examined or re-examined and improved or amended.

- ## Method Details

  - ### values

    public static DateType[] values()
    Returns the list of `DateType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public DateType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<DateType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static DateType valueOf(String code)
    Returns the date type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.